List Lidarr metadata profiles
GET
/pcd/{databaseId}/lidarr-metadata-profiles
const url = 'https://example.com/api/v1/pcd/1/lidarr-metadata-profiles';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/pcd/1/lidarr-metadata-profilesReads Lidarr metadata profiles from a PCD database.
Metadata profiles are a Lidarr-only entity family and are not available for Radarr or Sonarr entities.
Read payloads are list DTOs that expose counts, not full type payloads.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”databaseId
required
integer
PCD database ID
Responses
Section titled “Responses”Metadata profile list
Media typeapplication/json
Array<object>
object
id
required
Local profile id in PCD cache
integer
name
required
string
description
required
Optional Praxrr-only description for local documentation.
string
updated_at
required
Last profile update timestamp in the PCD cache
string
primaryTypeCount
required
Total number of primary types represented in the profile
integer
secondaryTypeCount
required
Total number of secondary types represented in the profile
integer
releaseStatusCount
required
Total number of release statuses represented in the profile
integer
primaryAllowedCount
required
Number of allowed primary types
integer
secondaryAllowedCount
required
Number of allowed secondary types
integer
releaseStatusAllowedCount
required
Number of allowed release statuses
integer
Examplegenerated
[ { "id": 1, "name": "example", "description": "example", "updated_at": "example", "primaryTypeCount": 1, "secondaryTypeCount": 1, "releaseStatusCount": 1, "primaryAllowedCount": 1, "secondaryAllowedCount": 1, "releaseStatusAllowedCount": 1 }]Missing or invalid databaseId
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}Database not found
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}Failed to read cache
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}